Inhalte
Index 🔎︎

# Funktion Switch

Wertet eine Liste von Argumenten aus, die jeweils aus einem Ausdruck und einem Wert bestehen. Die Funktion Switch gibt einen Wert zurück, der mit einem der Ausdrücke verknüpft ist, die der Funktion übergeben werden.

## Syntax:

    Switch (Ausdruck1, Wert1[, Ausdruck2, Wert2[…, Ausdruck_n, Wert_n]])

## Parameter:

Die Funktion Switch wertet die Ausdrücke von links nach rechts aus und gibt dann den Wert zurück, der dem erfüllten Funktionsausdruck zugewiesen ist. Werden Ausdrücke und Werte nicht jeweils paarweise übergeben, so tritt ein Laufzeitfehler auf.

Ausdruck: Auszuwertender Ausdruck.

Wert: Der Wert, der zurückgegeben werden soll, wenn der Ausdruck als "True" ausgewertet wird.

Im folgenden Beispiel weist die Funktion Switch dem ihr übergebenen Namen das passende Geschlecht zu:

### Fehlercodes:

5 Ungültiger Prozeduraufruf

## Beispiel:

    Sub ExampleSwitch
    Dim sGender As String
        sGenus = GetGenusIndex( "Willi" )
        MsgBox sGender
    End Sub

    Function GetGenderIndex (sName As String) As String
        GetGenusIndex = Switch(sName = "Elfriede", "weiblich", sName = "Willi", "männlich")
    End Function